| Home | Libraries | People | FAQ | More

###### any_connection::async_prepare_statement (1 of 2 overloads)

Prepares a statement server-side.

###### Synopsis

    template<
        class CompletionToken>
    auto
    async_prepare_statement(
        string_view stmt,
        CompletionToken&& token);

###### Description

`stmt`should be encoded using the connection's character set.

The returned statement has `valid() == true`.

###### Object lifetimes

If `CompletionToken` is a deferred completion token (e.g. `use_awaitable`), the string pointed to by `stmt` must be kept alive by the caller until the operation is initiated.

###### Handler signature

The handler signature for this operation is `void(boost::mysql::error_code, boost::mysql::statement)`.